/*
 * Virtual Drum Machine
 *---
 * wav stuff, by Stephan Beyer
 */

#ifndef _WAV_H_
#define _WAV_H_

#include <stdio.h>

#define	WAV_DO_NOTHING	0
#define WAV_SAVE_WAV	1
#define WAV_SAVE_RAW	2
#define WAV_SAVE_RAW2	3

typedef struct {
  FILE *file;
  FILE *file2;     /* when we dump to 2 files */
  int length; /* length of WAVE (RIFF length - 8) */

  /* setup before init_wave */
  int mode;
  char *filename;
  char *filename2;  /* if we dump to two file */
  int frequency;
  int channels;
  int bit_resolution;
} WAVE;

int init_wave(WAVE *);
void close_wave (WAVE *);
void wave_play (WAVE *, void *, int);

#endif /* _WAV_H_ */
