/*
 * Virtual Drum Machine - Rhythm Compiler program
 * This project is in the public domain.
 *---
 * The compiler definition include file
 */

#ifndef _COMPILER_H_
#define _COMPILER_H_

typedef struct {
  char *input_file;	/* the input file name */
  char *output_file;	/* the output file name "a.out" is the default */
  int c_only;		/* don't generate the binary, stop at C stage */
} COMPILER;

#include "environment.h"

int init_compiler(COMPILER *, int, char **, ENVIRONMENT *);

#include "rhythm.h"

int compile(COMPILER *, RHYTHM *, ENVIRONMENT *);

#endif /* _COMPILER_H_ */
