/*
 * Virtual Drum Machine - Rhythm Compiler runtime library
 * This project is in the public domain.
 *---
 * The definitions necessary for generated C programs file
 */

#ifndef _DEFINES_H_SED_
#define _DEFINES_H_SED_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "sound.h"

extern SOUND sound;

/* different ways to set the volume / panning of a sample */
/* way 1 */
#define set_volume(x,v) (x).vol=(v)
#define set_panning(x,v) (x).pan=(v)
/* way 2 */
/* the user simply does x.vol = v; */
/* the user simply does x.pan = v; */

/* global definitions of tempo and main volume */
#define tempo sound.mixer.tempo

#define volume vol
#define panning pan

#endif /* _DEFINES_H_SED_ */
