/*
 * Virtual Drum Machine - Rhythm Compiler program
 * This project is in the public domain.
 *---
 * The environment definition include file
 */

#ifndef _ENVIRONMENT_H_
#define _ENVIRONMENT_H_

typedef struct {
  char *name;		/* a name */
  void *value;		/* the value of the name */
} ENVVAR;

typedef struct {
  ENVVAR *vars;		/* a list of name/value pairs */
  int size;		/* the size of the above array (in ENVVAR) */
  int nb_elem;		/* the number of valid elements of the array */
  char *inc_dir;	/* where to find the include files */
  char *lib_dir;	/* where to find the lib files */
} ENVIRONMENT;

int init_environment(ENVIRONMENT *, int, char **);

#endif /* _ENVIRONMENT_H_ */
