/*
 * Virtual Drum Machine - Rhythm Compiler program
 * This project is in the public domain.
 *---
 * The memory definition file
 */

#include "memory.h"

#include <stdio.h>
#include <stdlib.h>

void *getmem(int size)
{
  void *p = malloc(size);

  if (!p) {
    fprintf(stderr, "Out Of Memory\n");
    exit(1);
  }

  return p;
}

void *regetmem(void *p, int size)
{
  p = realloc(p, size);

  if (!p) {
    fprintf(stderr, "Out Of Memory\n");
    exit(1);
  }

  return p;
}
